Update DSP VAST Tag
This endpoint updates DSP VAST Tag.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/ortb/dspvasttag/update| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | DSP VAST Tag ID. | required |
| Name | string | DSP VAST Tag’s name. | optional |
| Tags | int[] | List of Tags’ IDs. | optional |
| ZoneUrlUsEast | string | DSP VAST Tag’s URL for us-east region. | optional |
| ZoneUrlEu | string | DSP VAST Tag’s URL for eu region. | optional |
| ZoneUrlApac | string | DSP VAST Tag’s URL for apac region. | optional |
| StatsApi | string | DSP VAST Tag’s statistics API URL. | optional |
| StatsDashboardUrl | string | DSP VAST Tag’s statistics dashboard URL. | optional |
| FixedCpm | float | Fixed CPM price for DSP VAST Tag. Set to 0 to not use fixed pricing. | optional |
| MaxQps | int | Maximum queries per second - Maximum number of requests to make to the DSP VAST Tag in one second. Set to 0 for unlimited requests. | optional |
| AutoOptimize | int | Enable automatic requests optimization. 0 - Disabled, 1 - Enabled. | optional |
| RequestsDailyLimit | int | Number of requests to make per day. The system will even out distribution of requests throughout the day, ie. “day shaping”. Set to 0 for unlimited requests. | optional |
| BidsDailyLimit | int | Number of bids per day. The system will even out distribution of bids throughout the day, ie. “day shaping”. Set to 0 for unlimited bids. | optional |
| ImpressionsDailyLimit | int | Number of impressions per day. The system will even out distribution of impressions throughout the day, ie. “day shaping”. Set to 0 for unlimited impressions. | optional |
| ImpressionsLimitPerIp | int | Daily limit of impressions per IP address. Set to 0 for unlimited impressions per IP address. | optional |
| RevenueDailyLimit | float | Maximum daily amount (USD) to earn from advertiser. Set to 0 for unlimited amount. | optional |
| WebEnabled | int | Enable Web traffic from connected supply endpoints. 0 - Disabled, 1 - Enabled. | optional |
| AppEnabled | int | Enable App traffic from connected supply endpoints. 0 - Disabled, 1 - Enabled. | optional |
| MaxBidfloor | float | DSP VAST Tag will not participate in auction if connected supply endpoint has Bidfloor greater than this value. | optional |
| MinTmax | int | DSP VAST Tag will not participate in auction if connected supply endpoint has Tmax less than this value. | optional |
| MaxIvt | float | DSP VAST Tag will not participate in auction if connected supply endpoint has inventory with IVT greater than this value. | optional |
| DomainsBrandsListMode | int | Block or allow publisher domains or brand names: 0 - Blacklist, 1 - Whitelist. | optional |
| DomainsBrandsList | int[] | List of Domain Lists’ IDs to block or allow. | optional |
| AppsListMode | int | Block or allow publisher applications by their application identifiers: 0 - Blacklist, 1 - Whitelist. | optional |
| AppsList | int[] | List of App Lists’ IDs to block or allow. | optional |
| SizesListMode | int | Block or allow creatives’ sizes: 0 - Blacklist, 1 - Whitelist. | optional |
| SizesList | string[] | List of creatives’ sizes to block or allow. Size must be in format “WIDTHxHEIGHT”. | optional |
| PubIdListMode | int | Block or allow Pub IDs: 0 - Blacklist, 1 - Whitelist. | optional |
| PubIdList | string | List of Pub IDs to block or allow, separated by new line. | optional |
| IpBlacklists | int[] | List of IP Lists’ IDs to use for IP block. | optional |
| NonEmptyReferer | int | Ad impression or click with no referer will be filtered: 1 - Enabled, 0 - Disabled. | optional |
| RefererMatch | int | Referer in ad impression or click and site URL should match: 1 - Enabled, 0 - Disabled. | optional |
| IpMatch | int | Real user’s IP address in ad impression or click and user IP parameter should match: 1 - Enabled, 0 - Disabled. | optional |
| UaMatch | int | Real user’s User Agent in ad impression or click and user agent parameter should match: 1 - Enabled, 0 - Disabled. | optional |
| AllowIpV6 | int | Allow IPv6 addresses. 1 - Enabled, 0 - Disabled. | optional |
| CheckSiteLive | int | Check if source website is live. 1 - Enabled, 0 - Disabled. | optional |
| CheckAppStore | int | Check if app is live on its application store (App Store, Google Play, etc.). 1 - Enabled, 0 - Disabled. | optional |
| IabCategories | string[] | IAB categories of the site/app to enable (filter) from supply endpoints. See Info -> Get IAB categories for a list of available categories. | optional |
| Countries | object[] | Array of Country objects that should be sent like in JSON example. CC values in objects must be ISO-3166-1-alpha-2 country codes. See Info -> Get countries for a list of available countries. | optional |
| Os | object[] | Array of Os objects that should be sent like in JSON example. Not all operating systems have their versions, so for them you don’t have to include Versions array in object. See Info -> Get operating systems for a list of available operating systems and their versions. | optional |
| Browsers | object[] | Array of Browser objects that should be sent like in JSON example. Not all web browsers have their versions, so for them you don’t have to include Versions array in object. See Info -> Get web browsers for a list of available web browsers and their versions. | optional |
| DeviceTypes | int[] | Array of Device Type Rev objects that should be sent like in JSON example. See ORTB Info -> ORTB Device Type Rev for a list of available device types. | optional |
| VastTags | int[] | Array of VAST Tags’ IDs to connect to the DSP VAST Tag. This will make the DSP VAST Tag appear for VAST Tag if all the targeting is matched. | optional |
| RtbEps | int[] | Array of RTB EPs’ IDs to connect to the DSP VAST Tag. This will make the DSP VAST Tag appear in RTB EP response if all the targeting is matched. | optional |
{ "DspRtbEp": { "Id": 1, "Name": "DSP VAST Tag 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlEu": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlApac": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "StatsApi": "", "StatsDashboardUrl": "", "FixedCpm": 1.0, "MaxQps": 0, "AutoOptimize": 1, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "Countries": [ { "CC": "US" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "VastTags": [ 1 ], "RtbEps": [ 1 ] }}Response
Section titled “Response”{ "Status": "Ok", "DspRtbEp": { "Id": 1, "TeamId": 1, "AdvertiserId": 1, "AdvertiserName": "Advertiser", "Name": "DSP VAST Tag 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlEu": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlApac": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "StatsApi": "", "StatsDashboardUrl": "", "FixedCpm": 1.0, "MaxQps": 0, "AutoOptimize": 1, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "VastTags": [ 1 ], "RtbEps": [ 1 ], "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active" }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Error Code | Meaning |
|---|---|
| 400 | Bad Request — You sent a body that isn’t JSON. |
| 401 | Unauthorized — Your access token is invalid. |
| 406 | Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found. |
| 500 | Internal Server Error — We had a problem with our server. Try again later. |